Zum Inhalt springen
Leadtime
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Update email notification preferences

Enables or disables email notifications for the current user. When disabled, the user will not receive email notifications from the system, but will still see notifications within the application.

POST/account/email-notifications
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Request body
requiredapplication/json
enabledbooleanrequired

Enable email notifications

Responses
200
successbooleanrequired

Operation success flag

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

404

User not found

Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST "https://leadtime.app/api/public/account/email-notifications" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "enabled": true
}'
Response
{
  "success": true
}